summaryrefslogtreecommitdiff
path: root/debian/postinst
diff options
context:
space:
mode:
authorArch Librarian <arch@canonical.com>2004-09-20 16:52:18 +0000
committerArch Librarian <arch@canonical.com>2004-09-20 16:52:18 +0000
commit2d18d44ecd4bfe976805024279e5118d11be26b9 (patch)
tree714727de894614eccac24c21f457cfbee0349332 /debian/postinst
parentd8aadfc1027af7727332b797f150e98e1576682c (diff)
Added debian/ directory and changelog, control, postins...
Author: che Date: 1998-12-22 05:06:44 GMT Added debian/ directory and changelog, control, postinst, postrm, rules, and shlibs.local files
Diffstat (limited to 'debian/postinst')
-rwxr-xr-xdebian/postinst50
1 files changed, 50 insertions, 0 deletions
diff --git a/debian/postinst b/debian/postinst
new file mode 100755
index 000000000..d36c5a705
--- /dev/null
+++ b/debian/postinst
@@ -0,0 +1,50 @@
+#! /bin/sh
+
+# apt postinst, based liberally on James Troup's gpm postinst
+# Copyright (C) 1998, Ben Gertzfield <che@debian.org>
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+set -e
+
+create_apt_conf ()
+{
+ echo "/etc/apt/sources.list does not exist; creating a default setup."
+
+ cat > /etc/apt/sources.list <<EOF
+# Use for a local mirror - remove the ftp1 http lines for the bits
+# your mirror contains.
+# deb file:/your/mirror/here/debian stable main contrib non-free
+# See sources.list(5) for more information, especial
+# Remember that you can only use http, ftp or file URIs
+deb http://http.us.debian.org/debian stable main contrib non-free
+deb http://non-us.debian.org/debian-non-US stable non-US
+
+EOF
+}
+
+check_apt_conf ()
+{
+ true
+ # this is for future expansion
+}
+
+case "$1" in
+ configure)
+ #
+ # If there is no /etc/apt/sources.list then create a default
+ #
+ if [ ! -f /etc/apt/sources.list ]; then
+ create_apt_conf
+ echo
+ echo "If you wish to change the default sites from which APT fetches Debian"
+ echo "packages, please edit the file /etc/apt/sources.list."
+ else
+ check_apt_conf
+ fi
+
+esac
+